Curses::UI::Dialog::Progress(3)

NAME
Curses::UI::Dialog::Progress - Create and manipulate progress dialogs

CLASS HIERARCHY
 Curses::UI::Widget
    |
    +----Curses::UI::Container
            |
            +----Curses::UI::Window
                    |
                    +----Curses::UI::Dialog::Progress

SYNOPSIS
    use Curses::UI;
    my $cui = new Curses::UI;
    my $win = $cui->add('window_id', 'Window');

    # The hard way.
    # -------------
    my $dialog = $win->add(
        'mydialog', 'Dialog::Progress',
    -max       => 100,
        -message   => 'Some message',
    );

    $dialog->pos(10);
    $dialog->message('Some other message');
    $dialog->draw();

    $win->delete('mydialog');

    # The easy way (see Curses::UI documentation).
    # --------------------------------------------
    $cui->progress(
    -max       => 100,
        -message   => 'Some message',
    );
    $cui->setprogress(10, 'Some other message');
    $cui->noprogress;

DESCRIPTION
Curses::UI::Dialog::Progress is not really a dialog, since the user has no way of interacting with it. It is merely a way of presenting progress information to the user of your program.

See exampes/demo-Curses::UI::Dialog::Progress in the distribution for a short demo.

OPTIONS

•   -title < TEXT >

    Set the title of the dialog window to TEXT.

•   -message < TEXT >

    This option sets the initial message to show to TEXT. This message is displayed using a Curses::UI::Label, so it can not contain any newline (\n) characters.

•   -nomessage < BOOLEAN >

    If BOOLEAN has a true value, the dialog window will not contain a message label. By default -nomessage has a false value.

•   -min < VALUE >

•   -max < VALUE >

•   -pos < VALUE >

•   -nopercentage < BOOLEAN >

•   -nocenterline < BOOLEAN >

    These options control the progressbar of the dialog. For an explanation of these options, see Curses::UI::Progressbar.

METHODS

•   new ( OPTIONS )

•   layout ( )

•   draw ( BOOLEAN )

    These are standard methods. See Curses::UI::Container for an explanation of these.

•   pos ( VALUE )

    This method will update the position of the progressbar to SCALAR. You will have to call the draw method to see the changes.

•   message ( TEXT )

    This method will update the message of the progress dialog to TEXT. You will have to call the draw method to see the changes.

SEE ALSO
Curses::UI, Curses::UI::Container, Curses::UI::Progressbar

AUTHOR
Copyright (c) 2001-2002 Maurice Makaay. All rights reserved.

Maintained by Marcus Thiesen (marcus@cpan.thiesenweb.de)

This package is free software and is provided "as is" without express or implied warranty. It may be used, redistributed and/or modified under the same terms as perl itself.